/**
 * @packageDocumentation
 *
 * Create a client to use with a Routing V1 HTTP API server.
 *
 * @example
 *
 * ```typescript
 * import { createRoutingV1HttpApiClient } from '@helia/routing-v1-http-api-client'
 * import { CID } from 'multiformats/cid'
 *
 * const client = createRoutingV1HttpApiClient(new URL('https://example.org'))
 *
 * for await (const prov of getProviders(CID.parse('QmFoo'))) {
 *   // ...
 * }
 * ```
 */
import { DefaultRoutingV1HttpApiClient } from './client.js';
/**
 * Create and return a client to use with a Routing V1 HTTP API server
 */
export function createRoutingV1HttpApiClient(url, init = {}) {
    return new DefaultRoutingV1HttpApiClient(url, init);
}
//# sourceMappingURL=index.js.map